Subject: Re: bug#31159: Reverse order for old grub.cfg entries

From: [email-masked] (Ludovic Courtès)
Date: Wed, 18 Apr 2018 22:14:35 +0200

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>> I agree with you.  As long as the entry labels clearly show which one is
>> the most recent, that sounds good.
>>
>> However!  On headless machines, we’d rather make sure users know about
>> this change.  On our Libreboot “bayfront” server, GRUB for some reason
>> fails to display anything, and on several occasions we’ve had to blindly
>> select an older generation.  Hopefully this is an unusual situation ;-),
>> but it could happen on ARM boards as well.
>
> Do you have an idea of how to make sure that users know about it?

Not really.  I think we can at least send a heads-up to guix-devel and
help-guix.

Ludo’.